/* _content/Gline.Client/Components/Layout/MainLayout.razor.rz.scp.css */


.page[b-72iicemesv] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-72iicemesv] {
    flex: 1;
}

.sidebar[b-72iicemesv] {
    background: #f7f7f7;
}

.top-row[b-72iicemesv] {
    background-color: #f7f7f7;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
    padding-top: 0.5rem;
    padding-bottom: 3rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

    .top-row[b-72iicemesv]  a, .top-row[b-72iicemesv]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-72iicemesv]  a:hover, .top-row[b-72iicemesv]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-72iicemesv]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 1000px) {
    .page[b-72iicemesv] {
        flex-direction: column;
    }

    .top-row[b-72iicemesv] {
        height: 1.2rem !important;
        padding-top: 0.1rem !important;
        padding-bottom: 0.1rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
        justify-content: space-between !important;
    }

        .top-row[b-72iicemesv]  a, .top-row[b-72iicemesv]  .btn-link {
            margin-left: 0 !important;
        }
}

@media (min-width: 1001px) {
    .page[b-72iicemesv] {
        flex-direction: row;
    }

    .sidebar[b-72iicemesv] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-72iicemesv] {
        position: sticky;
        top: 0;
        z-index: 1;
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

        .top-row.auth[b-72iicemesv]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    article[b-72iicemesv] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-72iicemesv] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-72iicemesv] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }




.global-bottom-right[b-72iicemesv] {
    position: fixed;
    right: 16px;
    bottom: 16px;
    z-index: 1060; 
}

    .global-bottom-right img[b-72iicemesv] {
        width: 200px; 
        height: auto;
        opacity: 0.9;
        transition: opacity .15s ease, transform .15s ease;
    }

        .global-bottom-right img:hover[b-72iicemesv] {
            opacity: 1;
            transform: scale(1.05);
        }
/* _content/Gline.Client/Components/Layout/NavMenu.razor.rz.scp.css */
.sidebar[b-h8axq7bm66] {
    background: #f7f7f7;
    color: black;
    width: 250px;
    min-height: 100vh;
    transition: left 0.3s;
    z-index: 4000;
}

.top-row[b-h8axq7bm66] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-h8axq7bm66] {
    font-size: 1.1rem;
}

.bi[b-h8axq7bm66] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.nav-item[b-h8axq7bm66] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-h8axq7bm66] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-h8axq7bm66] {
        padding-bottom: 1rem;
    }

    .nav-item .nav-link[b-h8axq7bm66] {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item a.active[b-h8axq7bm66] {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item .nav-link:hover[b-h8axq7bm66] {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

@media (max-width: 1000px) {
    .sidebar[b-h8axq7bm66] {
        position: fixed;
        top: 0;
        left: -250px;
        height: 100vh;
        box-shadow: 2px 0 6px rgba(0,0,0,0.12);
    }

        .sidebar.show[b-h8axq7bm66] {
            left: 0;
        }

    .sidebar-overlay[b-h8axq7bm66] {
        display: block;
        position: fixed;
        left: 0;
        top: 0;
        width: 100vw;
        height: 100vh;
        background: rgba(0,0,0,0.18);
        z-index: 1049;
    }

    .navbar-toggler[b-h8axq7bm66] {
        display: flex !important;
        justify-content: center;
        align-items: center;
        position: fixed;
        top: 0.5rem;
        left: 1rem;
        z-index: 2000;
        background: none;
        border: none;
        border-radius: 0.25rem;
        width: 2rem;
        height: 2rem;
        padding: 0;
    }

        .navbar-toggler i[b-h8axq7bm66] {
            font-size: 1.8rem;
            line-height: 1;
        }


    .nav-scrollable[b-h8axq7bm66] {
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}

@media (min-width: 1001px) {
    .sidebar[b-h8axq7bm66] {
        position: static;
        left: 0 !important;
        height: 100vh;
        box-shadow: none;
    }

    .sidebar-overlay[b-h8axq7bm66] {
        display: none !important;
    }

    .navbar-toggler[b-h8axq7bm66] {
        display: none !important;
    }

    .nav-scrollable[b-h8axq7bm66] {
        display: block;
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}

.navbar-toggler-icon[b-h8axq7bm66] {
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    background: no-repeat center center;
    background-size: 100% 100%;
    background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 32 32' width='32' height='32' fill='none' stroke='black' stroke-width='3' stroke-linecap='round' stroke-miterlimit='10'%3e%3cline x1='7' y1='10' x2='25' y2='10'%3e%3c/line%3e%3cline x1='7' y1='16' x2='25' y2='16'%3e%3c/line%3e%3cline x1='7' y1='22' x2='25' y2='22'%3e%3c/line%3e%3c/svg%3e");
}
/* _content/Gline.Client/Components/Pages/ClientPage.razor.rz.scp.css */
@media (max-width: 1000px) {
    .client-table[b-h2gtzcbkcg] {
        display: none;
    }

    .client-card[b-h2gtzcbkcg] {
        display: block;
        margin-bottom: 1rem;
        padding: 1rem;
        border: 1px solid #ddd;
        border-radius: 0.5rem;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    }

    .client-card-item[b-h2gtzcbkcg] {
        margin-bottom: 0.25rem;
    }

        .client-card-item strong[b-h2gtzcbkcg] {
            display: inline-block;
            min-width: 80px;
        }


    .resp-padding[b-h2gtzcbkcg] {
        padding-top: 2.2rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }
}

@media (min-width: 1001px) {
    .client-cards[b-h2gtzcbkcg] {
        display: none;
    }
}
/* _content/Gline.Client/Components/Pages/Currencies.razor.rz.scp.css */
.my-currency-title[b-vmq1va7dhc] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-bottom: 1.5rem;
}

@media (max-width: 1000px) {
    .my-currency-title[b-vmq1va7dhc] {
        padding-top: 2.2rem;
        padding-bottom: 0.5rem;
    }
    .resp-padding[b-vmq1va7dhc] {
        padding-top: 2.5rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }
}
/* _content/Gline.Client/Components/Pages/Flights.razor.rz.scp.css */
@media (max-width: 1000px) {
    .resp-padding[b-vbrmy33bco] {
        padding-top: 2.5rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }
}
/* _content/Gline.Client/Components/Pages/Inventory.razor.rz.scp.css */
.name-col[b-mu7mlu6q3l] {
    max-width: 300px;
    white-space: normal;
    word-wrap: break-word;
    word-break: break-word;
}
/* _content/Gline.Client/Components/Pages/Items.razor.rz.scp.css */
.item-filter-row[b-ihklo2lxn4] {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-bottom: 1.5rem;
}

@media (max-width: 1000px) {
    .item-filter-row[b-ihklo2lxn4] {
        padding-top: 2.2rem;
        padding-bottom: 0.7rem;
        margin-bottom: 1.5rem;
        flex-direction: column !important;
        gap: 1.2rem !important;
    }

        .item-filter-row .col-md-4[b-ihklo2lxn4] {
            width: 100%;
            max-width: 100%;
        }

        .item-filter-row .form-control[b-ihklo2lxn4],
        .item-filter-row .form-select[b-ihklo2lxn4] {
            width: 100%;
        }
}


.name-col[b-ihklo2lxn4] {
    max-width: 300px;
    white-space: normal;
    word-wrap: break-word;
    word-break: break-word;
}
/* _content/Gline.Client/Components/Pages/Movement/InMovement.razor.rz.scp.css */
@media (max-width: 1000px) {
    .resp-padding[b-y1ki6de4to] {
        padding-top: 2.5rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

    .back-btn-mobile[b-y1ki6de4to] {
        display: block;
    }

    @media (min-width: 1000px) {
        .back-btn-mobile[b-y1ki6de4to] {
            display: none !important;
        }
    }



    .name-col[b-y1ki6de4to] {
        max-width: 300px;
        white-space: normal;
        word-wrap: break-word;
        word-break: break-word;
    }
/* _content/Gline.Client/Components/Pages/Movement/Movements.razor.rz.scp.css */
.resp-padding[b-cvu8je8gc8] {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0;
    padding-right: 0;
}

.table-responsive[b-cvu8je8gc8] {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

.table-responsive-md[b-cvu8je8gc8] {
    display: block;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

    .table-responsive-md table[b-cvu8je8gc8] {
        min-width: 1100px; 
    }


@media (max-width: 1000px) {
    .resp-padding[b-cvu8je8gc8] {
        padding-top: 2.2rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

    .table thead[b-cvu8je8gc8], .table tbody[b-cvu8je8gc8], .table th[b-cvu8je8gc8], .table td[b-cvu8je8gc8], .table tr[b-cvu8je8gc8] {
        white-space: nowrap;
    }
}


/* _content/Gline.Client/Components/Pages/Movement/OutMovement.razor.rz.scp.css */
@media (max-width: 1000px) {
    .resp-padding[b-9zmdjocagc] {
        padding-top: 2.5rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }
}
.back-btn-mobile[b-9zmdjocagc] {
    display: block;
}

@media (min-width: 1000px) {
    .back-btn-mobile[b-9zmdjocagc] {
        display: none !important;
    }
}

.name-col[b-9zmdjocagc] {
    max-width: 300px;
    white-space: normal;
    word-wrap: break-word;
    word-break: break-word;
}
/* _content/Gline.Client/Components/Pages/Users.razor.rz.scp.css */
@media (max-width: 1000px) {
    .resp-padding[b-isdz42uw74] {
        padding-top: 2.5rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }
}
/* _content/Gline.Client/Components/Pages/WarehouseItems.razor.rz.scp.css */
@media (max-width: 1000px) {
    .resp-padding[b-47wjd1nruo] {
        padding-top: 2.2rem !important;
        padding-bottom: 0.7rem !important;
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

}
